;*******************(C) COPYRIGHT 2019 GRAND-LOTUS ****************************************** 
;* File Name          : SYSTEM_INIT.INC
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;********************************************************************************************
;
;系统初始化程序
;
;********************************************************************************************

;********************************************************************************************
;====================系统初始化==============================================================
;********************************************************************************************	
System_Init:
;//------------------------------------------------------------------------------------------          
;//SystemInit Clock		
		;//Init 系统时钟
        ;//OSCM 时钟控制寄存器
        ;//Bit 4 		STOP:  CPU工作状态标志位
        ;//1 = CPU停止工作
        ;//0 = CPU正常工作，所有复位唤醒
        ;//Bit 2 		STPH:  高频振荡器控制
        ;//1 = 休眠状态或低速模式下关闭高频振荡器
        ;//0 = 休眠状态或低速模式下高速振荡器仍然工作
        ;//Bit 0 		STPL:  低频振荡器控制
        ;//1 = 休眠状态下低频振荡器停止工作
        ;//0 = 休眠状态下低频振荡器仍然工作
        MOVIA      0x00
        MOVAR      OSCM
;//-------------------------------------------------------------------------------------------	           
;//SystemInit IO          
        ;//IO 端口输入设置寄存器
        ;//IOA
        MOVIA      0x00    ;//0:上拉关闭 1:上拉使能
        MOVAR      PUA
		MOVIA      0xFF    ;//0:输入 1:输出
        MOVAR      OEA        
        MOVIA      0x00   ;//IO口数据
        MOVAR      IOA
        ;//IOB        
        MOVIA      0x00    ;//0:上拉关闭 1:上拉使能
        MOVAR      PUB
        MOVIA      0xFF    ;//0:输入 1:输出
        MOVAR      OEB
        MOVIA      0x00    ;//IO口数据
        MOVAR      IOB
;//---------------------------------------------------------------------------------------------     
;//中断设置           
        BCLR       OPTION,7  ;//1:总中断使能,0:屏蔽所有中断
		RETURN

;***********************************************************************************************
;===================== RAM清零(00H~3FH) ========================================================
;***********************************************************************************************         	
Clr_RAM_00H_3FH:
		CLRR		FSR0	;//从00地址开始写入
Clr_RAM_00H_3FH_LOOP:	
		MOVIA       0x00
		MOVAR		INDF0
		INCR		FSR0,1
		JBTS1		FSR0,6
		GOTO		Clr_RAM_00H_3FH_LOOP
		RETURN
				
;*********************************END OF FILE**************************************************  
	